View Issue Details

IDProjectCategoryView StatusLast Update
0003053Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003053: Cache Logbook's most recent solar data locally
DescriptionThe Logbook displays graphs of solar data, plotted from information downloaded from the Internet. If these data sources aren't available, the display reverts to old data that's baked-in to the application's resources at compile time.

Another isuse discusses updating that data with each build of the product. If fixed, that Mantis issue will assure that relatively recent data is always available.

However, in the event of a download failure, the application reverts to the baked-in data. It could, instead, revert to any last-known-good copy of the data more recently downloaded. With such a fall-back implemented, the application would display the most recent successful download (or the baked-in data, if none) and the data would never revert to the years-old versions it does now.

Steps To Reproduce1) Fire up the logbook.
2) Make sure the solar data is displayed. (In the "View" menu, use the "Solar Cycle" tear-off to get to the "Display" command.)
3) Wait for it to update. Monitor the "Logfile" window to see when it happens, and to check that it's succsessful.
4) Disconnect from the internets.
5) Wait again for an update. When the "Logfile" indicates failure, view the graph.

BUG#1) the data has reverted to the years-old built-in copy.
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
Testing Beta Successful

Relationships

related to 0002941 closedWA9PIE LB: Solar Cycle Progression broke 

Activities

K7ZCZ

2019-01-15 17:42

administrator   ~0006999

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4723

WA9PIE

2019-01-16 00:40

administrator   ~0007001

If I'm seeing this correctly, I watch the file fail to update via FTP and the graph retains its data from the cached copy.

g3ucq

2019-01-16 02:32

viewer   ~0007002

Fixed

WA9PIE

2019-01-16 10:56

administrator   ~0007003

Validated

K7ZCZ

2019-01-16 11:28

administrator   ~0007007

This checkin adds a couple more logging statements to the sun-spot data retrival. Specifically, it logs when the internal resource data is used when refreshing the graph.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4725

Issue History

Date Modified Username Field Change
2019-01-08 14:40 K7ZCZ New Issue
2019-01-08 14:45 K7ZCZ Relationship added related to 0002941
2019-01-15 17:42 K7ZCZ Note Added: 0006999
2019-01-15 17:50 K7ZCZ Assigned To => K7ZCZ
2019-01-15 17:50 K7ZCZ Status new => resolved
2019-01-15 17:50 K7ZCZ Resolution open => fixed
2019-01-15 22:20 WA9PIE Fixed in Version => 6.5.0.181
2019-01-15 22:20 WA9PIE Description Updated View Revisions
2019-01-15 22:20 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-16 00:40 WA9PIE Note Added: 0007001
2019-01-16 02:32 g3ucq Note Added: 0007002
2019-01-16 10:56 WA9PIE Status resolved => closed
2019-01-16 10:56 WA9PIE Testing Not Started => Beta Successful
2019-01-16 10:56 WA9PIE Note Added: 0007003
2019-01-16 11:28 K7ZCZ Note Added: 0007007
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.181 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe